%include common-macros.specinclude

Summary: leafpad is a simple GTK+-based text editor
Name: lsb-leafpad
Version: 0.8.18.1
Release: 4.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/desktop
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-desktop

Source0: http://download.savannah.gnu.org/releases/leafpad/leafpad-%{version}.tar.gz
Patch0: leafpad-%{version}.patch
Patch1: leafpad-%{version}.lsb5.patch

%description
LSB conforming version of leafpad. leafpad is a simple GTK+-based text editor
leafpad is added to the LSB Application Battery to test gtk2.

%prep
%setup -q -n leafpad-%{version}
%patch0 -p1 -b .lsbcc
%patch1 -p0 -b .lsb5

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

./configure --prefix=%{app_prefix}

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# desktop stuff
mv %{buildroot}%{sharedir}/applications/leafpad.desktop %{buildroot}%{sharedir}/applications/lsb-leafpad.desktop

# make a README about the patch
install -d %{buildroot}%{sharedir}/doc
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
COUNT=`expr $COUNT - 1`
head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.leafpad.build.patches 

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-leafpad.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-leafpad.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Wed Jun 15 2011 Stew Benedict <stewb@linux-foundation.org>
- uplift to 0.8.18.1, re-diff P0

* Thu May 12 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- bump to 0.8.14

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- only execute xdg-desktop-menu if present

* Mon Oct 22 2007 Stew Benedict <stewb@linux-foundation.org>
- install/remove menu item using xdg-utils

